<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Notices >> Add Notice' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Add Notice' | translate }}</ion-card-title>
      <ion-card-subtitle
        >{{ 'Add a new notice' | translate }}</ion-card-subtitle
      >
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="addNotice()" method="post">
        <ion-item>
          <ion-label position="floating">{{ 'Title' | translate }}</ion-label>
          <ion-input
            formControlName="title"
            type="text"
            name="title"
          ></ion-input>
        </ion-item>

        <div
          style="color: red;"
          *ngIf="form.get('title').hasError('required') && form.get('title').touched"
        >
          {{ 'This field is required*' | translate }}
        </div>

        <ion-item>
          <ion-label position="floating"
            >{{ 'Description' | translate }}</ion-label
          >
          <ion-textarea
            formControlName="description"
            type="text"
            name="description"
          ></ion-textarea>
        </ion-item>

        <div
          style="color: red;"
          *ngIf="form.get('description').hasError('required') && form.get('description').touched"
        >
          {{ 'This field is required*' | translate }}
        </div>

        <ion-item>
          <ion-label position="floating"
            >{{ 'Validity' | translate }}</ion-label
          >
          <ion-datetime
            displayFormat="MMM DD, YYYY HH:mm"
            pickerFormat="MMM DD, YYYY HH:mm"
            min="{{minDate}}"
            max="{{maxDate}}"
            placeholder="{{ 'Select Date and Time' | translate }}"
            formControlName="validity"
            name="validity"
          ></ion-datetime>
        </ion-item>

        <div
          style="color: red;"
          *ngIf="form.get('validity').hasError('required') && form.get('validity').touched"
        >
          {{ 'This field is required*' | translate }}
        </div>

        <ion-button
          type="submit"
          expand="full"
          color="primary"
          [disabled]="!form.valid"
          >{{ 'Add Notice' | translate }}
        </ion-button>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>
